Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.node
Class TaskNode

    java.lang.Object
      org.jbpm.graph.def.GraphElement
          org.jbpm.graph.def.Node
              org.jbpm.graph.node.TaskNode

All Implemented Interfaces:
  java.io.Serializable, Parsable

    public class TaskNode

extends Node
implements Parsable

is a node that relates to one or more tasks. Property `signal` specifies how task completion triggers continuation of execution.

See Also:
  Serialized Form

Field Summary
`static int` | `SIGNAL_FIRST` proceeds execution when the first task instance is completed.
`static int` | `SIGNAL_FIRST_WAIT` proceeds execution when the first task instance is completed.
`static int` | `SIGNAL_LAST` proceeds execution when the last task instance is completed.
`static int` | `SIGNAL_LAST_WAIT` proceeds execution when the last task instance is completed.
`static int` | `SIGNAL_NEVER` execution never continues, regardless wether tasks are created or still unfinished.
`static int` | `SIGNAL_UNSYNCHRONIZED` execution always continues, regardless wether tasks are created or still unfinished.

Fields inherited from class org.jbpm.graph.def.Node
`action, arrivingTransitions, isAsync, isAsyncExclusive, leavingTransitions, superState, supportedEventTypes`

Fields inherited from class org.jbpm.graph.def.GraphElement
`description, events, exceptionHandlers, name, processDefinition`

Constructor Summary
`TaskNode()`
`TaskNode(java.lang.String name)`

Method Summary
`void` | `addTask(Task task)`
`boolean` | `completionTriggersSignal(TaskInstance taskInstance)`
`void` | `execute(ExecutionContext executionContext)` override this method to customize the node behaviour.
`boolean` | `getCreateTasks()`
`int` | `getSignal()`
`Task` | `getTask(java.lang.String taskName)` is the task in this task-node with the given name or null if the given task does not exist in this node.
`java.util.Set` | `getTasks()`
`java.util.Map` | `getTasksMap()` is a Map with the tasks, keyed by task-name or an empty map in case no tasks are present in this task-node.
`boolean` | `isEndTasks()`
`void` | `leave(ExecutionContext executionContext, Transition transition)` called by the implementation of this node to continue execution over the given transition.
`static int` | `parseSignal(java.lang.String text)`
`void` | `read(org.dom4j.Element element, JpdlXmlReader jpdlReader)`
`void` | `removeTaskInstanceSynchronization(Token token)`
`static java.lang.String` | `signalToString(int signal)`

Methods inherited from class org.jbpm.graph.def.Node
`addArrivingTransition, addLeavingTransition, addNodeLog, createAsyncContinuationJob, enter, generateNextLeavingTransitionName, getAction, getArrivingTransitions, getDefaultLeavingTransition, getFullyQualifiedName, getLeavingTransition, getLeavingTransitions, getLeavingTransitionsList, getLeavingTransitionsMap, getParent, getProcessDefinition, getSuperState, getSupportedEventTypes, hasLeavingTransition, hasNoLeavingTransitions, isAsync, isAsyncExclusive, leave, leave, removeArrivingTransition, removeLeavingTransition, reorderLeavingTransition, setAction, setAsync, setAsyncExclusive, setName, write`

Methods inherited from class org.jbpm.graph.def.GraphElement
`addEvent, addExceptionHandler, createAsyncActionExecutionJob, equals, executeAction, findExceptionHandler, fireAndPropagateEvent, fireEvent, getDescription, getEvent, getEvents, getExceptionHandlers, getId, getName, getParentChain, getParents, hasEvent, hasEvents, raiseException, removeEvent, removeExceptionHandler, reorderExceptionHandler, setDescription, setProcessDefinition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jbpm.jpdl.xml.Parsable
`write`

Field Detail

### SIGNAL_UNSYNCHRONIZED

    public static final int SIGNAL_UNSYNCHRONIZED

  execution always continues, regardless wether tasks are created or still unfinished.

  See Also:
    Constant Field Values

### SIGNAL_NEVER

    public static final int SIGNAL_NEVER

  execution never continues, regardless wether tasks are created or still unfinished.

  See Also:
    Constant Field Values

### SIGNAL_FIRST

    public static final int SIGNAL_FIRST

  proceeds execution when the first task instance is completed. when no tasks are created on entrance of this node, execution is continued.

  See Also:
    Constant Field Values

### SIGNAL_FIRST_WAIT

    public static final int SIGNAL_FIRST_WAIT

  proceeds execution when the first task instance is completed. when no tasks are created on entrance of this node, execution is continued.

  See Also:
    Constant Field Values

### SIGNAL_LAST

    public static final int SIGNAL_LAST

  proceeds execution when the last task instance is completed. when no tasks are created on entrance of this node, execution waits in the task node till tasks are created.

  See Also:
    Constant Field Values

### SIGNAL_LAST_WAIT

    public static final int SIGNAL_LAST_WAIT

  proceeds execution when the last task instance is completed. when no tasks are created on entrance of this node, execution waits in the task node till tasks are created.

  See Also:
    Constant Field Values

Constructor Detail

### TaskNode

    public TaskNode()

### TaskNode

    public TaskNode(java.lang.String name)

Method Detail

### parseSignal

    public static int parseSignal(java.lang.String text)

### signalToString

    public static java.lang.String signalToString(int signal)

### read

    public void read(org.dom4j.Element element,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`
  Overrides:
    `read` in class `Node`

### addTask

    public void addTask(Task task)

### execute

    public void execute(ExecutionContext executionContext)

  Description copied from class: `Node`
  override this method to customize the node behaviour.

  Overrides:
    `execute` in class `Node`

### leave

    public void leave(ExecutionContext executionContext,
                      Transition transition)

  Description copied from class: `Node`
  called by the implementation of this node to continue execution over the given transition.

  Overrides:
    `leave` in class `Node`

### completionTriggersSignal

    public boolean completionTriggersSignal(TaskInstance taskInstance)

### removeTaskInstanceSynchronization

    public void removeTaskInstanceSynchronization(Token token)

### getTasksMap

    public java.util.Map getTasksMap()

  is a Map with the tasks, keyed by task-name or an empty map in case no tasks are present in this task-node.

### getTask

    public Task getTask(java.lang.String taskName)

  is the task in this task-node with the given name or null if the given task does not exist in this node.

### getTasks

    public java.util.Set getTasks()

### getSignal

    public int getSignal()

### getCreateTasks

    public boolean getCreateTasks()

### isEndTasks

    public boolean isEndTasks()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD